org.apache.olingo.odata2.api.processor.part

## Interface EntitySimplePropertyValueProcessor

- All Superinterfaces:
    ODataProcessor
  All Known Implementing Classes:
    CustomODataJPAProcessor, ListsProcessor, ODataJPADefaultProcessor, ODataJPAProcessor, ODataSingleProcessor

      public interface EntitySimplePropertyValueProcessor
      extends ODataProcessor

  Execute a OData entity simple property value request.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ODataResponse` | `deleteEntitySimplePropertyValue(DeleteUriInfo uriInfo, String contentType)` Deletes the value of a simple property of an entity.
    `ODataResponse` | `readEntitySimplePropertyValue(GetSimplePropertyUriInfo uriInfo, String contentType)` Reads the unformatted value of a simple property of an entity.
    `ODataResponse` | `updateEntitySimplePropertyValue(PutMergePatchUriInfo uriInfo, InputStream content, String requestContentType, String contentType)` Updates a simple property of an entity with an unformatted value.

    - ### Methods inherited from interface org.apache.olingo.odata2.api.processor.ODataProcessor

      `getContext, setContext`

- - ### Method Detail

    - #### readEntitySimplePropertyValue

          ODataResponse readEntitySimplePropertyValue(GetSimplePropertyUriInfo uriInfo,
                                                      String contentType)
                                               throws ODataException

      Reads the unformatted value of a simple property of an entity.
      Parameters:
        `uriInfo` - information about the request URI
        `contentType` - the content type of the response
      Returns:
        an `ODataResponse` object
      Throws:
        `ODataException`

    - #### updateEntitySimplePropertyValue

          ODataResponse updateEntitySimplePropertyValue(PutMergePatchUriInfo uriInfo,
                                                        InputStream content,
                                                        String requestContentType,
                                                        String contentType)
                                                 throws ODataException

      Updates a simple property of an entity with an unformatted value.
      Parameters:
        `uriInfo` - information about the request URI
        `content` - the content of the request, containing the new value
        `requestContentType` - the content type of the request body (important for a binary property)
        `contentType` - the content type of the response
      Returns:
        an `ODataResponse` object
      Throws:
        `ODataException`

    - #### deleteEntitySimplePropertyValue

          ODataResponse deleteEntitySimplePropertyValue(DeleteUriInfo uriInfo,
                                                        String contentType)
                                                 throws ODataException

      Deletes the value of a simple property of an entity.
      Parameters:
        `uriInfo` - information about the request URI
        `contentType` - the content type of the response
      Returns:
        a `ODataResponse` object
      Throws:
        `ODataException`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.